Subject: bug#30141: (26.0.91; text-pixel dimensions not properly saved by desktop-save-mode sometimes)

From: Eli Zaretskii <[email-masked]>
Date: Sat, 20 Jan 2018 12:50:38 +0200

> Date: Sat, 20 Jan 2018 11:35:09 +0100
> From: martin rudalics <[email-masked]>
> 
>  > The issue is when you have the frame sized to be a
>  > non-multiple of the font-width (pixel sized), save the desktop, then
>  > restart emacs and restore the desktop.
>  >
>  > At this point you’ll have a pixel width in your frame parameters.
>  >
>  > Then if you resize the frame to be a multiple of the font-width and
>  > save the desktop, you end up writing the previous pixel widths because
>  > they were in frame parameters and we do not reset them unless you are
>  > using a non-multiple of the font width.
>  >
>  > If that doesn’t make sense I can try and write up a repro when I get a chance.
> 
> Thanks, I understand now.  I'm afraid it's the implementation that
> doesn't make sense but your patch does and should be applied.  I'm not
> sure whether we still can do that on the release branch.  Eli?

Not sure about the release branch.  AFAIU, this problem existed since
Emacs 24.4, and it rears its ugly head only in the situation described
above, where the frame is restored with pixel size that's not a
multiple of the default font, and then resized to be an exact multiple
before saving it, is that right?  If so, it sounds obscure enough for
us to be able to live with it until Emacs 27, I think.